﻿/**
 * Options for alive without Alt markers.
 */
{
  // Definitions
  "def": {
    "tankName": {
      "name": "Tank name",
      "enabled": true,
      "x": 0,
      "y": -36,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 13,
        "color": null,
        "align": "center",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 6,
        "strength": 2
      },
      "format": "{{vehicle}}{{turret}}"
    },
    "playerName": {
      "name": "Player name",          
      "enabled": false,                
      "x": 0,                         
      "y": -51,                       
      "alpha": 100,                   
      // Font options.
      "textFormat": {
        "font": "$FieldFont",         
        "size": 13,                   
        "color": null,                
        "align": "center",            
        "bold": false,                
        "italic": false               
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                
        "angle": 45,                  
        "color": "0x000000",          
        "alpha": 100,                 
        "blur": 6,                    
        "strength": 2                 
      },
      "format": "{{name}}"
    },
    "tankHp": {
      "name": "Tank HP",
      "enabled": true,
      "x": 0,
      "y": -20,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 11,
        "color": "0xD9D9D9",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 4,
        "strength": 1
      },
      "format": "{{hp}} / {{hp-max}}"
    },
    // Text field with rating.
    "rating": {
      "name": "Rating",
      "enabled": false,
      "x": -33,
      "y": -20,
      "alpha": "{{xvm-stat?100|0}}",
      "textFormat": {
        "font": "xvm",
        "size": 16,
        "color": "{{c:r|#999999}}",
        "align": "right",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 2,
        "strength": 1
      },
      "format": "&#x115;"
    },
    // Text field with the XMQP event marker.
    "xmqpEvent": {
      "name": "xmqp event",           //  название текстового поля, ни на что не влияет
      "enabled": true,                //  false - не отображать
      "x": 0,                         //  положение по оси X
      "y": "{{battletype?-71|{{squad?-71|-56}}}}",  //  положение по оси Y
      "alpha": 100,                   //  прозрачность (допускается использование динамической прозрачности, см. macros.txt)
      // Font options.
      "textFormat": {
        "font": "xvm",                //  название
        "size": 23,                   //  размер
        "color": "0xFFBB00",          //  цвет (допускается использование динамического цвета, см. macros.txt)
        "align": "center",            //  выравнивание текста (left, center, right)
        "bold": false,                //  обычный (false) или жирный (true)
        "italic": false               //  обычный (false) или курсив (true)
      },
      // Shadow options.
      "shadow": {
        "distance": 0,                //  дистанция смещения
        "angle": 45,                  //  угол смещения
        "color": "0x000000",          //  цвет
        "alpha": 100,                 //  прозрачность
        "blur": 4,                    //  размытие
        "strength": 1                 //  интенсивность
      },
      "format": "<font color='{{x-spotted?#FFBB00|#FFFFFF}}' alpha='{{x-spotted?#FF|#80}}'>{{x-spotted?&#x70;|{{x-sense-on?&#x70;}}}}</font> {{x-overturned?&#x112;}}"  //  формат текста. См. описание макросов в macros.txt
    },
    // Position of the player
    "position": {
      "name": "position",             //  название текстового поля, ни на что не влияет
      "enabled": true,                //  false - не отображать
      "x": 0,                         //  положение по оси X
      "y": -51,                       //  положение по оси Y
      "alpha": 100,                   //  прозрачность (допускается использование динамической прозрачности, см. macros.txt)
      "textFormat": {                 //  параметры шрифта
        "font": "$FieldFont",         //  название
        "size": 13,                   //  размер
        "color": "0xEDEDED",          //  цвет (допускается использование динамического цвета, см. macros.txt)
        "align": "center",            //  выравнивание текста (left, center, right)
        "bold": false,                //  обычный (false) или жирный (true)
        "italic": false               //  обычный (false) или курсив (true)
      },
      "shadow": {                     //  параметры тени
        // false - no shadow
        "enabled": true,
        "distance": 0,                //   дистанция смещения
        "angle": 45,                  //   угол смещения
        "color": "{{c:system}}",      //   цвет
        "alpha": 100,                 //   прозрачность
        "blur": 6,                    //   размытие
        "strength": 2                 //   интенсивность
      },
      "format": "<font size='{{battletype?13|0}}'>{{position}}</font>"  //  формат текста. См. описание макросов в macros.txt
    }
  },
  "ally": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    "healthBar": {
      "enabled": true,                  //   false - не отображать
      "x": -36,                         //   положение по оси X
      "y": -33,                         //   положение по оси Y
      "alpha": 100,                     //   прозрачность (допускается использование динамической прозрачности, см. macros.txt)
      "color": null,                    //   цвет основной (допускается использование динамического цвета, см. macros.txt)
      "lcolor": null,                   //   цвет дополнительный (для градиента)
      "width": 70,                      //   ширина полосы здоровья
      "height": 11,                     //   высота полосы здоровья
      "border": {
        "alpha": 30,                    //     прозрачность
        "color": "0x000000",            //     цвет
        "size": 1                       //     размер рамки
      },
      "fill": {
        "alpha": 30                     //     прозрачность
      },
      "damage": {
        "alpha": 80,                    //     прозрачность
        "color": "{{c:dmg}}",                  //     цвет
        "fade": 1                       //     время затухания в секундах
      }
    },
    // Floating damage values.
    "damageText": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00FF33",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x006600",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg}}",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Floating damage values for player.
    "damageTextPlayer": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00EAFF",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x097783",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}} Ouh !",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:DamnBoy}}"
    },
    // Floating damage values for squad.
    "damageTextSquadman": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00EAFF",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x097783",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg}} Ouh!",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:Friggin}} ({{vehicle}})"
    },
    // Vehicle contour icon.
    // Контурная иконка танка.
    "contourIcon": {
      // false - disable / не отображать.
      "enabled": false,
      // Axis field coordinates.
      // Положение поля по осям.
      "x": 6,
      "y": -65,
      // Opacity (dynamic transparency allowed, see macros.txt).
      // Прозрачность (допускается использование динамической прозрачности, см. macros.txt).
      "alpha": 100,
      // Color (dynamic colors allowed, see macros.txt).
      // Цвет (допускается использование динамического цвета, см. macros.txt).
      "color": null,
      // Color intensity from 0 to 100. The default is 0 (off).
      // Интенсивность цвета от 0 до 100. По умолчанию 0, т.е. выключено.
      "amount": 0
    },
    // Vehicle tier.
    // Уровень танка.
    "levelIcon": {
      "enabled": false,  // false - disable        / не отображать.
      "x": 0,            // Position on the X axis / Положение по оси X.
      "y": -21,          // Position on the Y axis / Положение по оси Y.
      "alpha": 100       // Opacity                / Прозрачность.
    },
    // Markers "Help!" and "Attack!".
    // Маркеры "Нужна помощь" и "Атакую".
    "actionMarker": {
      "enabled": true,   // false - disable        / не отображать.
      "x": 0,            // Position on the X axis / Положение по оси X.
      "y": -67,          // Position on the Y axis / Положение по оси Y.
      "alpha": 100       // Opacity                / Прозрачность.
    },
    // Block of text fields.
    // Блок текстовых полей.
    "textFields": [
      ${ "def.tankName" },
      ${ "def.playerName" },
      ${ "def.tankHp" },
      ${ "def.rating" },
      ${ "def.xmqpEvent" }
    ]
  },
  // Настройки для противников.
  "enemy": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    // Иконка типа танка (ТТ/СТ/ЛТ/ПТ/Арта).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    // Индикатор здоровья.
    "healthBar": {
      "enabled": true,
      "x": -36,
      "y": -33,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 70,
      "height": 11,
      "border": {
        "alpha": 30,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 30
      },
      "damage": {
        "alpha": 80,
        "color": "{{c:dmg}}",
        "fade": 1
      }
    },
    // Floating damage values for ally, player, squadman.
    // Всплывающий урон для союзника, игрока, взводного.
    // Floating damage values.
    "damageText": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x817bd5",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x5b5794",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg}}",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Floating damage values for player.
    "damageTextPlayer": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0xFFCC00",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x993300",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}} / {{dmg-ratio}}%",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:Fucked}} ({{vehicle}})"
    },
    // Floating damage values for squad.
    "damageTextSquadman": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0xFFCC00",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x993300",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}}<br><font size='{{battletype?12|{{squad?12|0}}}}'>{{name}}</font>",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Vehicle contour icon.
    // Контурная иконка танка.
    "contourIcon": {
      "enabled": false,
      "x": 6,
      "y": -65,
      "alpha": 100,
      "color": null,
      "amount": 0
    },
    // Vehicle tier.
    // Уровень танка.
    "levelIcon": {
      "enabled": false,
      "x": 0,
      "y": -21,
      "alpha": 100
    },
    // Markers "Help!" and "Attack!".
    // Маркеры "Нужна помощь" и "Атакую".
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },
    // Block of text fields.
    // Блок текстовых полей.
    "textFields": [
      ${ "def.tankName" },
      ${ "def.tankHp" },
      ${ "def.rating" },
      ${ "def.position" }
    ]
  }
}