﻿/**
 * Parameters of the Battle Loading screen.
 * Параметры экрана загрузки боя.
 */
{
  "templates": {
    // Clan icon definition.
    "clanIcon": {
      "enabled": true,
      "x": 6, "y": 3, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
      "src": "{{clanicon}}"
    }
  },
  "battleLoading": {
    // Format of clock on the Battle Loading Screen.
    // http://php.net/date
    "clockFormat": "H:i:s",
    // true - enable display of battle tier.
    "showBattleTier": true,
    // true - disable Platoon icons. This blank space can house, for example, clan logos.
    "removeSquadIcon": false,
    // true - disable vehicle level indicator.
    "removeVehicleLevel": false,
    // true - disable vehicle type icon. This space will be used for formatted vehicle field.
    "removeVehicleTypeIcon": false,
    // Show border for name field (useful for config tuning)
    "nameFieldShowBorder": false,
    // Show border for vehicle field (useful for config tuning)
    "vehicleFieldShowBorder": false,
    // X offset for allies squad icons
    "squadIconOffsetXLeft": 0,
    // X offset for enemies squad icons field
    "squadIconOffsetXRight": 0,
    // X offset for allies player names field
    "nameFieldOffsetXLeft": -11,
    // Width delta for allies player names field
    "nameFieldWidthDeltaLeft": 0,
    // X offset for enemies player names field
    "nameFieldOffsetXRight": -14,
    // Width delta for enemies player names field
    "nameFieldWidthDeltaRight": 0,
    // X offset for allies vehicle names field
    "vehicleFieldOffsetXLeft": 0,
    // Width delta for allies vehicle names field
    "vehicleFieldWidthDeltaLeft": 0,
    // X offset for enemies vehicle names field
    "vehicleFieldOffsetXRight": 0,
    // Width delta for enemies vehicle names field
    "vehicleFieldWidthDeltaRight": 0,
    // X offset for allies vehicle icons
    "vehicleIconOffsetXLeft": 0,
    // X offset for enemies vehicle icons
    "vehicleIconOffsetXRight": 0,
    // false - disable highlight of icons during battle start depends on ready state.
    "darkenNotReadyIcon": true,
    // Display format for the left panel (macros allowed, see macros.txt).
    "formatLeftNick": "<img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'> {{name%.15s~..}}<font alpha='#A0'>{{clan}}</font>",
    "formatRightNick": "{{name%.15s~..}}<font alpha='#A0'>{{clan}}</font>  <img src='xvm://res/icons/flags/{{flag|default}}.png' width='16' height='13'>",
    "formatLeftVehicle": "{{vehicle}}<font face='Arial' size='11'> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> <font color='{{c:wn8}}'>{{wn8%d|----}}</font> <font color='{{c:xwn8}}'>{{xwn8%2s|--}}</font> <font color='{{c:rating}}'>{{rating%2d~%|--%}}</font></font>",
    "formatRightVehicle": "<font face='Arial' size='11'><font color='{{c:rating}}'>{{rating%2d~%|--%}}</font> <font color='{{c:xwn8}}'>{{xwn8%2s|--}}</font> <font color='{{c:wn8}}'>{{wn8%d|----}}</font> <font color='{{c:kb}}'>{{kb%2d~k|--k}}</font> </font>{{vehicle}}",
    // TODO
    // Extra fields. Fields are placed one above the other.
    // Set of formats for left panel (extended format supported, see above)
    "extraFieldsLeft": [
      ${"templates.clanIcon"}
    ],
    // Set of formats for right panel (extended format supported, see above)
    "extraFieldsRight": [
      ${"templates.clanIcon"}
    ]
  }
}
