﻿/**
 * Options for alive with Alt markers.
 */
{
  // Definitions
  "def": {
    // Text field with the name of the player.
    "playerName": {
      "name": "Player name",          // название текстового поля, ни на что не влияет
      "enabled": true,                // false - не отображать
      "x": 0,                         // положение по оси X
      "y": -36,                       // положение по оси Y
      "alpha": 100,                   // прозрачность (допускается использование динамической прозрачности, см. macros.txt)
      "textFormat": {
        "font": "$FieldFont",         //   название
        "size": 13,                   //   размер
        "color": null,                //   цвет (допускается использование динамического цвета, см. macros.txt)
        "align": "center",            //   выравнивание текста (left, center, right)
        "bold": false,                //   обычный (false) или жирный (true)
        "italic": false               //   обычный (false) или курсив (true)
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                //   дистанция смещения
        "angle": 45,                  //   угол смещения
        "color": "0x000000",          //   цвет
        "alpha": 100,                 //   прозрачность
        "blur": 6,                    //   размытие
        "strength": 2                 //   интенсивность
      },
      "format": "{{nick}}"            //   формат текста. См. описание макросов в macros.txt
    },
    // Text field with the percentage of remaining health.
    "hpPercent": {
      "name": "Percent of HP",
      "enabled": true,
      "x": 0,
      "y": -20,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 11,
        "color": "0xD9D9D9",
        "align": "center",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 4,
        "strength": 1
      },
      "format": "{{hp-ratio}}%"
    },
    // Text field with rating.
    "rating": {
      "name": "Rating",
      "enabled": true,
      "x": -40,
      "y": -52,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 13,
        "color": "{{c:t-rating}}",
        "align": "center",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 6,
        "strength": 2
      },
      "format": "{{t-rating%d~%|--%}}"
    },
	// Text field with WN8.
    "wn8": {
      "name": "WN8",
      "enabled": true,
      "x": 0,
      "y": -77,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 13,
        "color": "{{c:wn8}}",
        "align": "center",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 6,
        "strength": 2
      },
      "format": "{{wn8}}"
    },
	// Text field with XWN8.
    "xwn8": {
      "name": "XWN8",
      "enabled": true,
	  "x": 49,
      "y": -53,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",
        "size": 13,
        "color": "{{c:xwn8}}",
        "align": "center",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 6,
        "strength": 2
      },
      "format": "{{xwn8}}"
    }
  },
  "ally": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
	  "scaleY": 16,
      "scaleX": 0,
      "maxScale": 90,
      "offsetX": 0,
      "offsetY": 0
    },
	"clanIcon": {
      "enabled": true,
      "x": 0, 
	  "y": -100, 
	  "width": 16, 
	  "height": 16, 
	  "align": 
	  "center", 
	  "alpha": 90,
      "src": "{{clanicon}}"
	},
    "healthBar": {
      "enabled": true,                  //   false - не отображать
      "x": -36,                         //   положение по оси X
      "y": -33,                         //   положение по оси Y
      "alpha": 100,                     //   прозрачность (допускается использование динамической прозрачности, см. macros.txt)
      "color": null,                    //   цвет основной (допускается использование динамического цвета, см. macros.txt)
      "lcolor": null,                   //   цвет дополнительный (для градиента)
      "width": 70,                      //   ширина полосы здоровья
      "height": 11,                     //   высота полосы здоровья
      "border": {
        "alpha": 30,                    //     прозрачность
        "color": "0x000000",            //     цвет
        "size": 1                       //     размер рамки
      },
      "fill": {
        "alpha": 30                     //     прозрачность
      },
      "damage": {
        "alpha": 80,                    //     прозрачность
        "color": "{{c:dmg}}",                  //     цвет
        "fade": 1                       //     время затухания в секундах
      }
    },
    // Floating damage values.
    "damageText": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00FF33",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x006600",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg-ratio}}%",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Floating damage values for player.
    "damageTextPlayer": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00EAFF",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x097783",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}} Ouh !",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:DamnBoy}}"
    },
    // Floating damage values for squad.
    "damageTextSquadman": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0x00EAFF",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x097783",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg}} Ouh!",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:Friggin}} ({{vehicle}})"
    },
    // Vehicle contour icon.
    "contourIcon": {
      "enabled": true,
      "x": 3,
      "y": -73,
      "alpha": 80,
      "color": null,
      "amount": 14
    },
    // Vehicle tier.
    "levelIcon": {
      "enabled": true,      
      "x": 0,            // Position on the X axis 
      "y": -67,          // Position on the Y axis 
      "alpha": 100       // Opacity                
    },
    // Markers "Help!" and "Attack!".
    "actionMarker": {
      "enabled": true,      
      "x": 0,            // Position on the X axis 
      "y": -100,         // Position on the Y axis 
      "alpha": 100       // Opacity                
    },
    // Block of text fields.
    "textFields": [
      ${ "def.playerName" },
      ${ "def.hpPercent" },
      ${ "def.rating" },
      ${ "def.wn8" },
	  ${ "def.xwn8" }
	  
    ]
  },
  "enemy": {
    // Type of vehicle icon (HT/MT/LT/TD/Arty).
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
	  "scaleY": 16,
      "scaleX": 0,
      "maxScale": 90,
      "offsetX": 0,
      "offsetY": 0
    },
	"clanIcon": {
      "enabled": true,
      "x": 0, 
	  "y": -100, 
	  "width": 16, 
	  "height": 16, 
	  "align": 
	  "center", 
	  "alpha": 90,
      "src": "{{clanicon}}"
	},
    "healthBar": {
      "enabled": true,
      "x": -36,
      "y": -33,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 70,
      "height": 11,
      "border": {
        "alpha": 30,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 30
      },
      "damage": {
        "alpha": 80,
        "color": "{{c:dmg}}",
        "fade": 1
      }
    },
    // Floating damage values.
    "damageText": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0xFF0000",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0xCC0033",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "-{{dmg-ratio}}%",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Floating damage values for player.
    "damageTextPlayer": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0xFFCC00",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x993300",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}} / {{dmg-ratio}}%",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{l10n:Fucked}} ({{vehicle}})"
    },
    // Floating damage values for squad.
    "damageTextSquadman": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100,
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                     
        "color": "0xFFCC00",
        "align": "center",              
        "bold": false,                  
        "italic": false                 
      },
      // Shadow options.
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x993300",            
        "alpha": 100,                   
        "blur": 6,                      
        "strength": 1                   
      },
      "speed": 2,
      "maxRange": 40,
      "damageMessage": "- {{dmg}} / {{dmg-ratio}}%",
      "blowupMessage": "<font size='20' face='XVMSymbol'>(</font><br>{{vehicle}}"
    },
    // Vehicle contour icon.
    "contourIcon": {
      "enabled": true,
      "x": 3,
      "y": -73,
      "alpha": 80,
      "color": null,
      "amount": 14
    },
    // Vehicle tier.
    "levelIcon": {
      "enabled": true,      
      "x": 0,            
      "y": -67,          
      "alpha": 100                     
    },
    // Markers "Help!" and "Attack!".
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -100,
      "alpha": 100
    },
    // Block of text fields.
    "textFields": [
      ${ "def.playerName" },
      ${ "def.hpPercent" },
      ${ "def.rating" },
      ${ "def.wn8" },
	  ${ "def.xwn8" }
    ]
  }
}