﻿/**
 * Parameters of the Players Panels ("ears").
 */
{
  // Enemy spotted status marker definition.
  "enemySpottedMarker": {
    "alpha": 100,
    "x": 50,
    "y": 1,
    "bindToIcon": true,
	"alpha": "{{a:spotted}}",
    "format": "{{spotted}}",
    "shadow": {}
  },
  "xmqpServiceMarker": {
	"enabled": true,
    "x": 86, "y": 1, "align": "center", "bindToIcon": true,
    "format": "<font face='xvm' size='23' color='{{alive?{{x-spotted?#FFBB00|{{x-sense-on?#D9D9D9|#BFBFBF}}}}|#FFFFFF}}' alpha='{{alive?#FF|#80}}'>{{alive?{{x-spotted?&#x70;|{{x-sense-on?&#x70;|{{x-enabled?&#x7A;}}}}}}}}</font>",
    "shadow": {}
  },
  "clanIcon": {
    "enabled": true,
    "x": 0, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
    "src": "{{clanicon}}"
    //"format": "<img src='{{clanicon}}' width='16' height='16'>"
  },
  // Is XVM user marker definition.
  "xvmUserMarker": {
    "enabled": false,
    "x": 10, "y": 5, "bindToIcon": true,
    "src": "xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png"
  },
  // Parameters of the Players Panels ("ears").
  "playersPanel": {
    "enabled": true,
    "alpha": 80,
    "iconAlpha": 100,
    "removeSelectedBackground": false,
    "removePanelsModeSwitcher": false,
    "startMode": "large",
    "altMode": null,
    "none": {
      "enabled": true,
      "expandAreaWidth": 230,
      "layout": "vertical",
      "extraFields": {
        "leftPanel": {
          "x": 0, // from left side of screen
          "y": 65,
          "width": 350,
          "height": 25,
          // Set of formats for left panel
          // Набор форматов для левой панели
          // example:
          // "format": [
          //   // simple format (just a text)
          //   "{{nick}}",
          //   "<img src='xvm://res/img/panel-bg-l-{{alive|dead}}.png' width='318' height='28'>",
          //   // extended format
          //   { "x": 20, "y": 10, "borderColor": "0xFFFFFF", "format": "{{nick}}" },
          //   { "x": 200, "src": "xvm://res/contour/{{vehiclename}}.png" },
          //   { "x": 200, "src": "img://gui/maps/icons/vehicle/{{vehiclename}}.png" }
          //   { "x": 200, "src": "cfg://user/img/{{vehiclename}}.png" }
          // ]
          //
          // * all fields are optional
          //
          "formats": []
        },
        "rightPanel": {
          "x": 0, // from right side of screen
          "y": 65,
          "width": 350,
          "height": 25,
          "formats": []
        }
      }
    },
    // Options for the "short" panels - panels with frags and vehicle icon.
    "short": {
      "enabled": true,
      "standardFields": [ "frags" ],
      "expandAreaWidth": 230,
      "removeSquadIcon": false,
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      "vehicleLevelAlpha": 100,
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      "fragsWidth": 24,
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      "nickMinWidth": 46,
      "nickMaxWidth": 158,
      "nickFormatLeft": " <font color='{{c:xwn8}}'>{{xwn8}}</font> {{name%.15s~..}}<font alpha='#A0'>{{clan}}</font>",
      "nickFormatRight": "<font color='{{c:xwn8}}'>{{xwn8}}</font> {{name%.15s~..}}<font alpha='#A0'>{{clan}}</font>",
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      "vehicleWidth": 72,
      "vehicleFormatLeft": "<img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> {{vehicle}}",
      "vehicleFormatRight": "{{vehicle}} <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'>",
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xmqpServiceMarker"}
      ],
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "medium" panels - the first of the medium panels.
    "medium": {
      "enabled": true,
      "standardFields": [ "frags", "nick" ],
      "expandAreaWidth": 230,
      "removeSquadIcon": false,
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      "vehicleLevelAlpha": 100,
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      "fragsWidth": 24,
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      "nickMinWidth": 46,
      "nickMaxWidth": 158,
      "nickFormatLeft": "<font alpha='{{alive?#FF|#80}}'>{{name%.12s~..}}</font> <font alpha='#A0'>{{clan}}</font>",
      "nickFormatRight": "<font alpha='{{alive?#FF|#80}}'>{{name%.12s~..}}</font> <font alpha='#A0'>{{clan}}</font>",
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      "vehicleWidth": 72,
      "vehicleFormatLeft": "",
      "vehicleFormatRight": "",
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xmqpServiceMarker"}
      ],
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "medium2" panels - the second of the medium panels.
    "medium2": {
      "enabled": true,
      "standardFields": [ "frags", "vehicle" ],
      "expandAreaWidth": 230,
      "removeSquadIcon": false,
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      "vehicleLevelAlpha": 100,
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      "fragsWidth": 24,
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      "nickMinWidth": 46,
      "nickMaxWidth": 158,
      "nickFormatLeft": "",
      "nickFormatRight": "",
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      "vehicleWidth": 72,
      "vehicleFormatLeft": "<font color='{{c:xwn8}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:xwn8}}'>{{vehicle}}</font>",
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xmqpServiceMarker"}
      ],
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "large" panels - the widest panels.
    "large": {
      "enabled": true,
      "standardFields": [ "frags", "nick", "vehicle" ],
      "removeSquadIcon": false,
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      "vehicleLevelAlpha": 100,
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      "fragsWidth": 24,
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      "nickMinWidth": 46,
      "nickMaxWidth": 158,
      "nickFormatLeft": "<img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> <font color='{{c:rating}}'>{{rating%d~%|--%}}</font> {{nick}}",
      "nickFormatRight": "{{nick}} <font color='{{c:rating}}'>{{rating%d~%|--%}}</font> <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'>",
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      "vehicleWidth": 72,
      "vehicleFormatLeft": "<font color='{{c:xwn8}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:xwn8}}'>{{vehicle}}</font>",
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        ${"xmqpServiceMarker"}
      ],
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        ${"enemySpottedMarker"}
      ]
    }
  }
}
